
Redmine - Patch #38135

Allow use of Puma 6.0.0 or later

2022-12-28 08:27 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.0.5   

Description

Since Capybara 3.37 and earlier did not support Puma 6, we have updated the Gemfile in r21934 to use Puma < 6.0.0.

Capybara 3.38.0 was released in November 2022 and it is compatible with Puma 6, so we can remove that limitation.

Related issues:

Related to Redmine - Patch #37867: Limit puma < 6.0.0 to avoid system test error Closed

Associated revisions

Revision 22011 - 2022-12-29 06:51 - Go MAEDA

Allow use of Puma 6.0.0 or later (#38135).

Capybara >= 3.39.0 supports Puma 6.0.

Revision 22017 - 2023-01-02 06:38 - Go MAEDA

Merged r22011 from trunk to 5.0-stable (#38135).

History

#1 - 2022-12-28 08:27 - Go MAEDA

- File 38135.patch added

#2 - 2022-12-28 08:31 - Go MAEDA

- Related to Patch #37867: Limit puma < 6.0.0 to avoid system test error added

#3 - 2022-12-28 08:35 - Go MAEDA

- Target version set to 5.0.5

#4 - 2022-12-29 06:51 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the patch.

#5 - 2022-12-29 06:52 - Go MAEDA

- Target version changed from 5.0.5 to 4.2.10

#6 - 2023-01-02 06:45 - Go MAEDA

- Target version changed from 4.2.10 to 5.0.5

#7 - 2023-01-02 06:45 - Go MAEDA

- Status changed from Resolved to Closed

#8 - 2023-08-24 11:26 - Ko Nagase

Go MAEDA wrote in #note-4:

Committed the patch.
https://www.redmine.org/projects/redmine/repository/svn/revisions/21934


 Sorry for too late response, but thanks for the patch (from #37867 discussion).

If possible, applying the same patch to 4.2-stable branch is really helpful.

Files

38135.patch 664 Bytes 2022-12-28 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/issues/37867
http://www.tcpdf.org

